!function (document, Drupal, $) {
  'use strict';

  Drupal.behaviors.drupalVueModal = {
    attach: function attach(context) {

      var modal = context.querySelector('#non-vue-modal');
      var modalButton = context.querySelector('#non-vue-modal-button');
      var modalCloseButton = context.querySelector('#non-vue-modal .modal__close');

      if (modalButton !== null) {
        modalButton.addEventListener('click', function (e) {
          e.preventDefault();
          modal.querySelector('.modal__mask').classList.remove('hidden');
        });

        modalCloseButton.addEventListener('click', function (e) {
          e.preventDefault();
          modal.querySelector('.modal__mask').classList.add('hidden');
        });
      }
    }
  };
}(document, Drupal, jQuery);