document.addEventListener('DOMContentLoaded', () => {
  'use strict';

  drupalSettings.modal = new Vue({ // eslint-disable-line no-unused-vars, no-undef, max-len
    el: '#vue-modal',
    data: {
      showModal: false,
      content: 'Default Modal Text',
    },
    methods: {
      show(content) {
        this.showModal = true;
        this.content = content;
      },
      close() {
        this.showModal = false;
      }
    }
  });
});
