<?php

namespace Drupal\vue_js_example\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'NonVueBlock' block.
 *
 * @Block(
 *  id = "non_vue_block",
 *  admin_label = @Translation("Non vue block"),
 * )
 */
class NonVueBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = [];
    $build['#theme'] = 'non_vue_block';
     $build['non_vue_block']['#markup'] = 'Implement NonVueBlock.';

    return $build;
  }

}
