<?php

namespace Drupal\vue_js_example\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'VueBlock' block.
 *
 * @Block(
 *  id = "vue_block",
 *  admin_label = @Translation("Vue block"),
 * )
 */
class VueBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = [];
    $build['#theme'] = 'vue_block';
     $build['vue_block']['#markup'] = 'Implement VueBlock.';

    return $build;
  }

}
