!((document, Drupal, $) => {
  'use strict';

  Drupal.behaviors.drupalVueModal = {
    attach: function(context) {

      const modal = context.querySelector('#non-vue-modal');
      const modalButton = context.querySelector('#non-vue-modal-button');
      const modalCloseButton = context.querySelector('#non-vue-modal .modal__close');

      if (modalButton !== null) {
        modalButton.addEventListener('click', (e)=> {
          e.preventDefault();
          modal.querySelector('.modal__mask').classList.remove('hidden');
        });

        modalCloseButton.addEventListener('click', (e)=> {
          e.preventDefault();
          modal.querySelector('.modal__mask').classList.add('hidden');
        });
      }

    }
  };

})(document, Drupal, jQuery);
